Patchwork [1/2] pseudo: use bbnote/bbwarn instead of echo

login
register
mail settings
Submitter Ross Burton
Date Sept. 26, 2013, 10:41 a.m.
Message ID <1380192096-19856-1-git-send-email-ross.burton@intel.com>
Download mbox | patch
Permalink /patch/59021/
State Accepted
Commit 601e1a740b6909ea904a554e0e0c35056fd2231c
Headers show

Comments

Ross Burton - Sept. 26, 2013, 10:41 a.m.
In the future bbnote/bbwarn will be integrated into bitbake's logging, so use
those functions instead of echo directly.

Signed-off-by: Ross Burton <ross.burton@intel.com>
---
 meta/recipes-devtools/pseudo/pseudo.inc |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Patch

diff --git a/meta/recipes-devtools/pseudo/pseudo.inc b/meta/recipes-devtools/pseudo/pseudo.inc
index a4b7aaf..a287629 100644
--- a/meta/recipes-devtools/pseudo/pseudo.inc
+++ b/meta/recipes-devtools/pseudo/pseudo.inc
@@ -56,15 +56,15 @@  maybe_make32() {
 	fi
 	if $make32; then
 		if ! [ -e "/usr/include/gnu/stubs-32.h" ]; then
-			echo >&2 "WARNING: Can't find stubs-32.h, but usually need it to build 32-bit libpseudo."
-			echo >&2 "If the build fails, install 32-bit developer packages."
-			echo >&2 "If you are using 32-bit binaries, the 32-bit libpseudo is NOT optional."
+			bbwarn "Can't find stubs-32.h, but usually need it to build 32-bit libpseudo."
+			bbwarn "If the build fails, install 32-bit developer packages."
+			bbwarn "If you are using 32-bit binaries, the 32-bit libpseudo is NOT optional."
 		else
-			echo "Attempting to build 32-bit libpseudo.so for ${PN}."
+			bbnote "Attempting to build 32-bit libpseudo.so for ${PN}."
 		fi
 	else
-		echo "Building/installing only 64-bit libpseudo.so for ${PN}."
-		echo "If you need to run 32-bit executables, ensure that NO32LIBS is set to 0."
+		bbnote "Building/installing only 64-bit libpseudo.so for ${PN}."
+		bbnote "If you need to run 32-bit executables, ensure that NO32LIBS is set to 0."
 	fi
 }